Subject: [Entmib] Draft Meeting Minutes

From: Margaret Wasserman <[email-masked]>
Date: Tue, 19 Mar 2002 16:11:18 -0500

Here is a draft of the meeting minutes.  Let me know if there
are any errors or omissions.

These minutes also contain the consensus decisions made in the 
room during the meeting.  Mailing list participants are encouraged 
to indicate any issues that they may have with these decisions.

Thanks,
Margaret

Entity MIB Minutes -- IETF 53, Minneapolis -- March 19, 2002

AGENDA BASHING:

Agenda:
         Agenda Bashing (5 min)

         Proposed RFC 2737 Updates (20 min)    
                 - PhysicalIndexOrZero TC (Juergen)
                 - PhysicalClass CPU enumeration (Andy)  
                 - Other proposed changes?     
                 - Decision Point:  Do we update RFC 2737 and recycle at PS?

         Entity Sensor MIB (20 min)
                 - Presentation of Draft Status (Andy)
                 - Decision Point:  Are we ready for WG last call for PS?

         Wrap-up and Action Items (10 min)

No agenda changes were made.

PROPOSED RFC2737 UPDATES

Proposed 2737 Updates:
         Margaret proposed Juergen's PhysicalIndexOrZero TC.
         Some discussion about whether a zero value should
         indicate no entPhysicalTable entry, or whether the
         meaning of zero should be usage-specific.  Text
         has changed since last discussed -- should ask
         Juergen to clarify reasons.

Physical Class CPU Enumeration:
         Andy has received several requests for this 
         enumeration.

We discussed whether or not to re-cycle RFC2737 at PS for
these changes, given that we still don't have sufficient
implementation experience to advance to DS.

Consensus of room was to recycle RFC2737 for these changes.
Margaret will check consensus on the list.

ENTITY SENSOR MIB

Andy presented current MIB status.  No changes since previous
draft.

Some discussion regarding whether the timestamp field should
be a relative timestamp or a real date and time.  Consensus
was that a relative timestamp is acceptable for this limited
situation.

Consensus in room was to proceed to WG last call for PS.
Margaret to initiate last call on list.

ACTION ITEMS:

Margaret        Meeting minutes and confirm results with list

Andy            Communicate with Juergent about meaning of zero
                 value in PhysicalIndexOrZero TC 

Andy            Update RFC2737 and send to list

Margaret        Initiate WG last call for Entity Sensor MIB

_______________________________________________
Entmib mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/entmib

---

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Wed, 20 Mar 2002 21:22:18 +0100

Juergen answer to Margaret:

> Margaret> Proposed 2737 Updates: Margaret proposed Juergen's
> Margaret> PhysicalIndexOrZero TC.  Some discussion about whether a
> Margaret> zero value should indicate no entPhysicalTable entry, or
> Margaret> whether the meaning of zero should be usage-specific.  Text
> Margaret> has changed since last discussed -- should ask Juergen to
> Margaret> clarify reasons.
> 
> The text was just cut & paste from my posting dated back to Thu, 13
> Dec 2001 19:39:04 +0100. In my view, it is better to leave it open
> what the value 0 means so that someone who uses this TC has the
> flexibility to indicate the appropriate meaning (such as "no entity",
> "all entities", "unknown entity"). BTW, the text is really a shamless
> copy of the InterfaceIndexOrZero TC - it does it the same way.
> 
Thanks Juergen... and ... blush.... the issue was reaised because
some (I forget who) claimed that your proposed TC was different
w.r.t. the zero value than other similar TCs, specifically 
InterfaceIndexOrZero. Seems we should have checked during our meeting.

Bert

---

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Wed, 20 Mar 2002 21:22:18 +0100

Bert

---

From: Andy Bierman <[email-masked]>
Date: Thu, 21 Mar 2002 22:31:36 -0800

>InterfaceIndexOrZero. Seems we should have checked during our meeting.

That was me. After reading RFC 2863 more closely, I agree with Juergen.
The proposed text is fine.

BTW, I checked all 11 RFCs that import InterfaceIndexOrZero.
Every one is correctly specifying the semantics for zero except RFC 2320.

>Bert

Andy

---

From: Andy Bierman <[email-masked]>
Date: Thu, 21 Mar 2002 22:31:36 -0800

Andy